import java.util.*;

class Assignment6A
{
	public static void main (String[] args)
	{
         int number;
         int choice;
         Scanner input = new Scanner (System.in);
         System.out.println("This program will determine if a number is divisible by 2 ");
         do
			{
				System.out.println("Please type in a number ");
		         number=input.nextInt();
				if (number%2==0)
		          	System.out.printf("The number %d is divisible by 2\n",number);
				else if (number%2!=0)
		          		System.out.printf("The number %d is not divisible by 2\n",number);
				
		
		       	 System.out.println("Would you like to continue ? (0-no/1-yes) ");
		         choice = input.nextInt();
			}while (choice != 0);
		          
	  
	}
} 